rio_enum_peer
Prev | Enumeration and Discovery | Next

## Name

rio_enum_peer — Recursively enumerate a RIO network through a master port

## Synopsis

`int rio_enum_peer (` | struct rio_net * | net,
| struct rio_mport * | port,
| u8 | hopcount`)`;

## Arguments

`net`

  RIO network being enumerated

`port`

  Master port to send transactions

`hopcount`

  Number of hops into the network

## Description

Recursively enumerates a RIO network. Transactions are sent via the master port passed in `port`.

Prev | Up | Next
rio_net_add_mport | Home | rio_enum_complete